Subject: bug#51605: Fwd: [PATCH] Update themes to support mode-line

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Dec 2021 15:54:06 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Mon, 6 Dec 2021 14:25:39 +0100
> Cc: [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I don't see why they would be better.  They are just different.  the
> > current defaults are borrowed from linum.el, where they were used for
> > ages by many people.
> 
> I tried to explain why I think that in my previous email.  In short:
> The proposal adds functionality that is not there OOTB, but that would
> be useful to provide OOTB.

The line number is already separated from the buffer text, albeit not
by its typeface.  So I still think your proposal is merely different,
not necessarily better.  There are good reasons to have the line
numbers in the same font as the default face.

> The point is to set a precedent about the way we suggest Emacs should
> behave.

We _have_ set the precedent: this feature is available in its current
form since Emacs 26.